# Uses of Class
org.codehaus.janino.util.signature.SignatureParser.ClassTypeSignature

Packages that use SignatureParser.ClassTypeSignature
Package
Description
org.codehaus.janino.util.signature
Application-independent helper classes.

## Uses of SignatureParser.ClassTypeSignature in org.codehaus.janino.util.signature

Fields in org.codehaus.janino.util.signature declared as SignatureParser.ClassTypeSignature
Modifier and Type
Field
Description
`final SignatureParser.ClassTypeSignature`
SignatureParser.`object`
The class type signature of the `Object` class.
`SignatureParser.ClassTypeSignature`
SignatureParser.ClassSignature.`superclassSignature`
The class's superclass type.
Fields in org.codehaus.janino.util.signature with type parameters of type SignatureParser.ClassTypeSignature
Modifier and Type
Field
Description
`final List<SignatureParser.ClassTypeSignature>`
SignatureParser.ClassSignature.`superinterfaceSignatures`
The interfaces that the class implements.
Methods in org.codehaus.janino.util.signature with parameters of type SignatureParser.ClassTypeSignature
Modifier and Type
Method
Description
`T`
SignatureParser.FieldTypeSignatureVisitor.`visitClassTypeSignature(SignatureParser.ClassTypeSignature cts)`
Constructors in org.codehaus.janino.util.signature with parameters of type SignatureParser.ClassTypeSignature
Modifier
Constructor
Description
``
`ClassSignature(List<SignatureParser.FormalTypeParameter> formalTypeParameters, SignatureParser.ClassTypeSignature superclassSignature, List<SignatureParser.ClassTypeSignature> superinterfaceSignatures)`